Skip to content

Providers

Endpoints to retrieve providers within the developer's directory.

Get providers by NPIs

Request

Retrieves specific providers within the developer's directory by NPI search. This endpoint searches active providers that are listed on Zocdoc. It returns the provider's information (such as name, gender identity, specialty), location information and provider location IDs which can be used to look up availability and book appointments. Every developer has a designated provider directory jointly defined and onboarded in partnership with Zocdoc.

The provider_location_id returned in the response can be used to retrieve availability in the endpoint /v1/provider_locations/availability.

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Query
npisstringrequired

A comma-delimited list of Provider NPI numbers. A maximum of 50 items will be accepted at a time.

Example:npis=1234567891,0123456789
insurance_plan_idstring

The Zocdoc ID of the patient's insurance plan. Used to determine if provider takes patient's insurance in response. Use the Get Insurance Plans endpoint to retrieve available plans.

Example:insurance_plan_id=ip_31820
latitudenumber, (float), [ -90 .. 90 ]

Latitude of the patient's location. Must be provided together with longitude. When provided, response includes distance and nearest match for each physical location.

longitudenumber, (float), [ -180 .. 180 ]

Longitude of the patient's location. Must be provided together with latitude. When provided, response includes distance and nearest match for each physical location.

curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/providers?npis=1234567891%2C0123456789&insurance_plan_id=ip_31820&latitude=-90&longitude=-180' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

dataArray of objects(ProvidersByNpi)required
Response
{ "request_id": "string", "data": [ {} ] }